QuickFIX: FIX::UtcTimeStampField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::UtcTimeStampField Class Reference

Field that contains a UTC time stamp value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcTimeStampField:
[legend]
Collaboration diagram for FIX::UtcTimeStampField:
[legend]

List of all members.

## Public Member Functions
| UtcTimeStampField (int field, const UtcTimeStamp &data, bool showMilliseconds=false)
| UtcTimeStampField (int field, bool showMilliseconds=false)
void | setValue (UtcTimeStamp &value)
UtcTimeStamp | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator UtcTimeStamp () const
bool | operator< (const UtcTimeStampField &rhs) const
| Compares fields based on thier tag numbers.
bool | operator== (const UtcTimeStampField &rhs) const
bool | operator!= (const UtcTimeStampField &rhs) const

## Detailed Description

Field that contains a UTC time stamp value.

Definition at line 334 of file Field.h.

## Constructor & Destructor Documentation

FIX::UtcTimeStampField::UtcTimeStampField | ( | int | field,
|  | const UtcTimeStamp & | data,
|  | bool | showMilliseconds = `false` |
| ) |  |  | `[inline, explicit]`

Definition at line 337 of file Field.h.

    00338 : FieldBase( field, UtcTimeStampConvertor::convert( data, showMilliseconds ) ) {}

FIX::UtcTimeStampField::UtcTimeStampField | ( | int | field,
|  | bool | showMilliseconds = `false` |
| ) |  |  | `[inline]`

Definition at line 339 of file Field.h.

    00340 : FieldBase( field, UtcTimeStampConvertor::convert( UtcTimeStamp(), showMilliseconds ) ) {}

## Member Function Documentation

UtcTimeStamp FIX::UtcTimeStampField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 344 of file Field.h.

Referenced by operator!=(), operator<(), and operator==().

    00345     { try
    00346       { return UtcTimeStampConvertor::convert( getString() ); }
    00347       catch( FieldConvertError& )
    00348       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::UtcTimeStampField::operator UtcTimeStamp | ( |  | ) | const`[inline]`

Definition at line 349 of file Field.h.

    00350     { return getValue(); }

bool FIX::UtcTimeStampField::operator!= | ( | const UtcTimeStampField & | rhs | ) | const`[inline]`

Definition at line 356 of file Field.h.

References getValue().

    00357     { return getValue() != rhs.getValue(); }

bool FIX::UtcTimeStampField::operator< | ( | const UtcTimeStampField & | field | ) | const`[inline]`

Compares fields based on thier tag numbers.

Reimplemented from FIX::FieldBase.

Definition at line 352 of file Field.h.

References getValue().

    00353     { return getValue() < rhs.getValue(); }

bool FIX::UtcTimeStampField::operator== | ( | const UtcTimeStampField & | rhs | ) | const`[inline]`

Definition at line 354 of file Field.h.

References getValue().

    00355     { return getValue() == rhs.getValue(); }

void FIX::UtcTimeStampField::setValue | ( | UtcTimeStamp & | value | ) | `[inline]`

Definition at line 342 of file Field.h.

    00343     { setString( UtcTimeStampConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h